Loading...
Searching...
No Matches
janus_audiobridge_plainrtp_media Struct Reference
Collaboration diagram for janus_audiobridge_plainrtp_media:
[legend]

## Data Fields

char * | remote_audio_ip
int | ready:1
int | audio_rtp_fd
int | local_audio_rtp_port
int | remote_audio_rtp_port
guint32 | audio_ssrc
guint32 | audio_ssrc_peer
int | audio_pt
gboolean | audio_send
janus_rtp_switching_context | context
int | pipefd [2]
GThread * | thread

## Field Documentation

## audio_pt

int janus_audiobridge_plainrtp_media::audio_pt

## audio_rtp_fd

int janus_audiobridge_plainrtp_media::audio_rtp_fd

## audio_send

gboolean janus_audiobridge_plainrtp_media::audio_send

## audio_ssrc

guint32 janus_audiobridge_plainrtp_media::audio_ssrc

## audio_ssrc_peer

guint32 janus_audiobridge_plainrtp_media::audio_ssrc_peer

## context

janus_rtp_switching_context janus_audiobridge_plainrtp_media::context

## local_audio_rtp_port

int janus_audiobridge_plainrtp_media::local_audio_rtp_port

## pipefd

int janus_audiobridge_plainrtp_media::pipefd[2]

## ready

int janus_audiobridge_plainrtp_media::ready

## remote_audio_ip

char* janus_audiobridge_plainrtp_media::remote_audio_ip

## remote_audio_rtp_port

int janus_audiobridge_plainrtp_media::remote_audio_rtp_port

## thread

GThread* janus_audiobridge_plainrtp_media::thread

The documentation for this struct was generated from the following file:

- janus_audiobridge.c